package com.atlassian.bitbucket.mesh.git.builder.updateref;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilder;

import javax.annotation.Nonnull;

public class DefaultGitUpdateRefDeleteBuilder
        extends AbstractGitUpdateRefBuilder<GitUpdateRefDeleteBuilder>
        implements GitUpdateRefDeleteBuilder {

    public DefaultGitUpdateRefDeleteBuilder(GitProcessBuilder builder, String ref) {
        super(builder, ref);
    }

    @Override
    protected void applyRefArguments(String ref) {
        builder.argument("-d")
                .argument(ref);
    }

    @Nonnull
    @Override
    protected GitUpdateRefDeleteBuilder self() {
        return this;
    }
}
